io.etcd.jetcd.maintenance

## Class SnapshotResponse

- java.lang.Object
- - io.etcd.jetcd.AbstractResponse<SnapshotResponse>
  - - io.etcd.jetcd.maintenance.SnapshotResponse

All Implemented Interfaces:
  Response

    public class SnapshotResponse
    extends AbstractResponse<SnapshotResponse>

### Nested Class Summary

### Nested classes/interfaces inherited from interface io.etcd.jetcd.Response

`Response.Header`

### Constructor Summary

Constructors
Constructor and Description
`SnapshotResponse(SnapshotResponse response)`

### Method Summary

All Methods Instance Methods Concrete Methods
`com.google.protobuf.ByteString` `getBlob()`
`long` `getRemainingBytes()`

### Methods inherited from class io.etcd.jetcd.AbstractResponse

`getHeader, getResponse, getResponseHeader, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SnapshotResponse

    public SnapshotResponse(SnapshotResponse response)

### Method Detail

#### getRemainingBytes

    public long getRemainingBytes()

#### getBlob

    public com.google.protobuf.ByteString getBlob()